OpenCYV - Bug # 1623: ocl module have some problem in the case to run on Apple OpenCL

Status: Cancelled Priority: High
Author: Yasuhiro Yoshimura Category: ocl
Created: 2012-02-26 Assignee: yao wang
Updated: 2013-12-28 Due date:

Affected version: 24.0-2.46

Difficulty: Easy

Pull request:

Operating System: Mac OSX

HW Platform: Any

Description: | checked the latest ocl module(branches/ocl rev7391) implementation.

So, | found some problem in the case to run on Apple OpenCL.

[problem 1]

The following sources describe "#include <CL/cl.h>" to include OpenCL's header.

ocl.hpp
precomp.hpp
safe_call.hpp

But, Apple OpenCL does not have this header.
So, | think that it should be changed as follows:

#ifdef _ APPLE___

#include <OpenCL/opencl.h>
#else

#include <CL/cl.h>

#endif

[problem 2]
Some kernel files(*.cl) and kernels.cpp use double2, double4, convert_double.
But, this function does not supported. So, it occurs kernel build error.

Associated revisions

2013-10-24 12:18 pm - Roman Donchenko
Merge pull request #1623 from ImAlsoGreg:2.4-pkgconfig-dash-I

History

2012-02-29 04:11 pm - Kirill Kornyakov

- Category set to ocl

2012-02-29 04:11 pm - Kirill Kornyakov

- Assignee set to yao wang

2013-12-28 03:43 pm - llya Lavrenov
- Status changed from Open to Cancelled

- HW Platform set to Any

- Operating System set to Mac OSX
- Difficulty set to Easy

- Affected version set to 2.4.0 - 2.4.6

I'm sure that the problem solved. Closed.
